package data.scripts.world;

import com.fs.starfarer.api.BaseModPlugin;
import com.fs.starfarer.api.Global;
// Import every entry from your mod's data/world/generators.csv
import data.scripts.world.instrumentalityGen;
//import data.scripts.omnifac.AddOmniFac;

public class instrumentalityModPlugin extends BaseModPlugin
{
    private static void initpn()
    {
        try
        {
            Global.getSettings().getScriptClassLoader().loadClass("data.scripts.world.ExerelinGen");
            return;// Exerelin mod found so skip generation
        }
        
        catch (ClassNotFoundException ex)
        {
             // Exerelin mod not found so continue and run normal generation code
             new instrumentalityGen().generate(Global.getSector());
        }
    }

    @Override
    public void onNewGame()
    {
        // Calling a separate method avoids duplicate code with onEnabled()
        initpn();
    }

    //~ @Override
    //~ public void onEnabled(boolean wasEnabledBefore)
    //~ {
        //~ if (!wasEnabledBefore)
        //~ {
            //~ // Calling a separate method avoids duplicate code with onNewGame()
            //~ initpn();
        //~ }
    //~ }
}